﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace DummyWP7App.Controls
{
    public partial class NumericInputWindowsPhoneControl : UserControl
    {


        private string _unitSetting = string.Empty;

        public string UnitSetting
        {
            get { return _unitSetting; }
            set { _unitSetting = value; }
        }
        private string _unitSetting2 = string.Empty;

        public string UnitSetting2
        {
            get { return _unitSetting2; }
            set { _unitSetting2 = value; }
        }


        public string LongDescription
        {
            get { return textBlockLabelLeft.Text; }
            set { textBlockLabelLeft.Text = value; }
        }

        public string ShortDescription
        {
            get { return textBlockLabelRight.Text; }
            set {
                textBlockLabelRight.Text = value;
            }
        }

        private string _bindingTarget;
        public string BindingTarget
        {
            get { return _bindingTarget; }
            set
            {
                _bindingTarget = value;
                Binding b = new Binding();
                b.Path = new PropertyPath(_bindingTarget);
                b.Mode = BindingMode.TwoWay;
                BindingOperations.SetBinding(textBoxInputNumeric, TextBox.TextProperty, b);

            }
        }

        public NumericInputWindowsPhoneControl()
        {
            InitializeComponent();
            this.textBoxInputNumeric.InputScope = new InputScope()
            {
                Names = { new InputScopeName() { NameValue = InputScopeNameValue.Digits } }
            };

        }

        public void SetBinding(object targetObject, string displayMember)
        {
            Binding b = new Binding();
            b.Mode = BindingMode.TwoWay;
            BindingOperations.SetBinding(textBoxInputNumeric, TextBox.TextProperty, b);
        }

        private bool _isReadOnly = false;

        public bool IsReadOnly
        {
            get { return _isReadOnly; }
            set
            {
                _isReadOnly = value;
                if (_isReadOnly == true)
                {
                    textBoxInputNumeric.Background = new SolidColorBrush(Colors.Yellow);
                }
                else
                {
                    textBoxInputNumeric.Background = new SolidColorBrush(Colors.White);
                    try
                    {
                    }
                    catch
                    {
                    }
                }
            }
        }


        private bool _performUnitsChange = true;

        public bool PerformUnitsChange
        {
            get { return _performUnitsChange; }
            set { _performUnitsChange = value; }
        }
        private int tabOrder = 0;

        public int TabOrder
        {
            get { return tabOrder; }
            set { tabOrder = value; }
        }

        public void SetFocus()
        {
            this.textBoxInputNumeric.Focus();
            this.textBoxInputNumeric.SelectionStart = this.textBoxInputNumeric.Text.Length;
        }

        public void SetUnitSettings()
        {
            if (PerformUnitsChange)
            {
                switch (this.UnitSetting)
                {

                    case "Percent":
                        textBlockLabelRight.Text = "%";
                        break;
                    default:
                        textBlockLabelRight.Text = string.Empty;
                        break;
                }
                if (UnitSetting2 != string.Empty)
                {

                    switch (this.UnitSetting2)
                    {
                        case "Percent":
                            textBlockLabelRight.Text += "/ %";
                            break;
                        default:
                            textBlockLabelRight.Text = string.Empty;
                            break;
                    }
                }

            }
        }

    }
}
