﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace DummyWP7App
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Set the data context of the listbox control to the sample data
            DataContext = App.ViewModel;
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        // Load data for the ViewModel Items
        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (!App.ViewModel.IsDataLoaded)
            {
                App.ViewModel.LoadData();
            }
        }

        private void FirstListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {



            if (FirstListBox.SelectedIndex == -1)
                return;
            ItemViewModel item = FirstListBox.SelectedItem as ItemViewModel;
            // Navigate to the new page
            if (item != null && item.NavPage != null && item.NavPage != string.Empty)
            {
                NavigationService.Navigate(new Uri(item.NavPage, UriKind.Relative));
            }
            else
            {
                MessageBox.Show("No navigation page was set for this item.");
            }

            // Reset selected index to -1 (no selection)
            FirstListBox.SelectedIndex = -1;
        }
    }
}